Subject: bug#26661: compile, shell etc. should use bash-completion !

From: Stefan Kangas <[email-masked]>
Date: Fri, 4 Sep 2020 13:28:49 +0000

reopen 26661
tags 26661 - notabug wontfix
thanks

Kévin Le Gouguec <[email-masked]> writes:

> Lots of authors of CLI tools now maintain their own completion
> configuration for e.g. Bash and/or Zsh, so by supporting Bash's native
> completion facilities we would leverage their efforts instead of
> re-developing ad-hoc completion functions.
[...]
> I just think the benefit/cost ratio of enabling native Bash
> completions by default seems high.

OK, those are indeed compelling arguments, so I'm re-opening the bug
report.

Maybe we could convince the authors of the bash-completion package to
assign their copyright to the FSF.